/**
 * HERO SECTION
 * 
 * ------------------------------------------------------------------------- */
#hero-section
{
    background-image: url("/static/img/index/clean-world.jpg");
    align-content: center;
    text-align: center;
    background-repeat: no-repeat;
    background-size:cover;
    background-position: center;
    padding-top: 100px;
    padding-bottom: 100px;
}
#hero-section .newsletter-subscribe {
    font-weight: 500;
}

#newsletter-signup{
    margin-top: 10px;
    margin-bottom: 50px;
    padding-left: 70px;
    padding-right: 70px;
}

#hero-section .email {
    background-color: transparent;
    border: none;
    border-bottom: 2px solid white;
    color: white;
    box-sizing: border-box;
    height: 50px;
    margin: auto;
    width: 200px;
}
#hero-section .email:focus {
    background-color: transparent;
}
#hero-section .email::placeholder {
    color: white;
}
#hero-section .bouncing-chevron {
    fill: #FFF;
    margin: auto;
    width: 50px;
    height: 50px;
    animation: hover-me 2s infinite ease-in-out alternate;
    border: 2px solid white;
    border-radius: 50%;
    padding-top: 8px;
}
#hero-section .bouncing-chevron a {
    color: white !important;
}
@keyframes hover-me {
    100% { transform: translate3d(0, 10px, 0); }
}

/**
 * MISSION STATEMENT SECTION
 * 
 * ------------------------------------------------------------------------- */

#solaires_mission {
    padding-bottom: 100px;
}

#solaires_mission .content-block {
    padding-top: 50px;
    padding-bottom: 100px;
}

#solaires_mission #we-are-solaires {
    padding-top: 100px;
    font-size: 3.1rem;
    font-weight: 600;
}

@media only screen and (max-width: 991px) {
    #solaires_mission #we-are-solaires {
        padding-top: 50px;
        font-size: 2rem;
    }
    #solaires_mission {
        padding-bottom: 0;
    }
    
}

#solaires_mission .background-graphic-left {
    background-image: url("/static/img/index/network-graphic-left.png");
    background-position: left 50px;
    background-repeat: no-repeat;
}
#solaires_mission .background-graphic-right {
    background-image: url("/static/img/index/network-graphic-right.png");
    background-position: right bottom;
    background-repeat: no-repeat;
}


/**
 * PARTNERSHIPS SECTION
 * 
 * ------------------------------------------------------------------------- */

.partners-section {
    background-color: #124F88;
    padding: 80px 40px;
}

.partners-container {
    background-color: white;
    box-shadow: 40px 40px #306697;
    border-radius: 10px;
    max-width: 1400px;
    margin: auto;
}

.partners-carousel {
    background-color: white;
}

.partners-carousel p {
    max-width: 500px;
}

.partners-carousel-item {
    height: 250px;
    display: grid;
    grid-template-columns: 50% 50%;
}

.partners-img-container {
    margin-left: 100px;
    width: 100%;
}

.partners-img-container img {
    object-fit: contain;
    object-position: center top;
    height: 100%;
    width: 200px;
}

.partner-carousel__controls {
    position: absolute;
    right: 0;
    bottom: -20px; /* this moves the arrow buttons down. if you edit this, then you also need to edit ".partner-carousel__controls .carousel-indicators" */
    left: 0;
    z-index: 2;
    display: flex;
    justify-content: center;
    padding: 0;
    margin-right: 15%;
    margin-bottom: 1rem;
    margin-left: 15%;
}

.partner-carousel__controls .carousel-control-prev {
    left: 33% !important;
    opacity: 1 !important;
}

.partner-carousel__controls .carousel-control-next {
    right: 33% !important;
    opacity: 1 !important;
}

.partners-carousel .carousel-indicators {
    bottom: -26px;
}

.carousel-indicators button {
    width: 10px !important;
    height: 10px !important;
    border-radius: 100%;
    background-color: white !important;
    border: 1px solid orange !important;
    opacity: 1 !important;
}

.carousel-indicators button.active {
    background-color: orange !important;
    border: 1px solid orange !important;
}

.pl-partners {
    padding-left: 70px;
}
.pr-partners {
    padding-right: 70px;
}

@media only screen and (min-width: 1700px) {
    .partners-img-container {
        width: 350px;
        height: 200px;
    }
    .partners-img-container img {
        width: 100%;
        height: 200px;
    }
    .pl-partners {
        padding-left: 200px;
    }
    .partner-carousel__controls .carousel-control-prev {
        left: 50%;
    }
    .partner-carousel__controls .carousel-control-next {
        right: 50%;
    }
}
@media only screen and (max-width: 1400px) {
    .partners-container {
        box-shadow: none;
    }
    .partners-img-container {
        margin-left: 10px;
    }
    .partners-carousel-item {
        grid-template-columns: 60% 40%;
    }
}

@media only screen and (max-width: 991px) {
    .partners-section {
        padding: 40px 10px;
    }
    .partners-carousel-item {
        grid-template-columns: 100%;
    }
    .carousel-inner {
        min-height: 460px;
        padding-left: 20px;
        padding-right: 20px;
    }
    .partners-carousel-item, .partners-img-container, .pl-partners, .pr-partners {
        all: unset;
    }
    .partners-img-container {
        min-height: 200px;
    }
    .partners-img-container img {
        height: unset;
    }
    .partners-carousel .carousel-indicators {
        bottom: 0;
    }
    .partner-carousel__controls {
        bottom: 6;
    }
    .partner-carousel__controls .carousel-control-prev {
        left: 15% !important;
    }
    .partner-carousel__controls .carousel-control-next {
        right: 15% !important;
    }
    .partners-carousel p {
        max-width: unset;
    }
    .partner-img {
        max-width: 300px;
    }
}

@media only screen and (max-width: 767px) {
    .partners-section .carousel-inner {
        min-height: 400px;
    }
}

@media only screen and (max-width: 575px) {
    .partners-section .carousel-inner {
        min-height: 480px;
    }
    .partners-carousel .carousel-indicators {
        bottom: -16;
    }
    .partner-carousel__controls {
        bottom: -10;
    }
}

/* The following css helps vertically center the partner images */
.partners-img-container-mobile {
    height: 150px;      /* Equals maximum image height */
    width: 100%;
    white-space: nowrap; /* This is required unless you put the helper span closely near the img */
    text-align: center;
    margin: 1em 0;
}

.partners-img-container-mobile .helper {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.partners-img-container-mobile img{
    vertical-align: middle;
    max-height: 150px;
    max-width: 80%;
}

.partners-img-container-mobile.irap {
    height: 180px;
}
.partners-img-container-mobile.irap img {
    max-height: 180px;
}

/**
 * TECHNOLOGY SECTION
 * 
 * ------------------------------------------------------------------------- */
#solaires_technology h1 {
    font-size: 2rem;
    font-weight: bold;
}
.card-technology__backdrop {
    background-color: #124F88;
    border-radius: 10px;
    padding: 15px;
    max-width: 450px;
    margin-right: 20px;
}
.card-technology {
    border-radius: 10px;
    background-color: #FFF;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    margin-right: -20px;
    margin-bottom: -30px;
    max-width: 450px;
}

.card-technology img {
    width: 100%;
    border-radius: 10px 10px 0 0;
    height: 300px;
    object-fit: cover;
}
.block-interested-in-products {
    background-color: white;
    border: 1px solid grey;
    padding: 10px;
    border-radius: 10px;
    max-width: 930px;
    margin: auto;
}

.card-technology a {
    font-weight: 500;
}

@media only screen and (max-width: 991px) {
    #solaires_technology h1 {
        font-size: 1.7rem;
        font-weight: bold;
    }
    .card-technology__backdrop {
        all: unset;
    }
    .card-technology {
        margin: auto;
    }
}
@media only screen and (max-width: 767px) {
    .block-interested-in-products {
        max-width: 450px;
        margin: auto;
    }
}

/**
 * LET's WORK TOGETHER SECTION
 * 
 * ------------------------------------------------------------------------- */

.contact-section
{
    background-color: white;
}
.contact-section p {
    max-width: 450px;
    margin: auto;
}

/**
 * BLOG SECTION (COMING SOON)
 * 
 * ------------------------------------------------------------------------- */

#newsCarousel {
    margin-top: 25px;
    margin-bottom: 50px;
}
#newsCarousel .blog-item {
    margin-bottom: 50px;
}
#newsCarousel h5 {
    margin-top: 10px;
}
#newsCarousel a {
    color: orange;
    text-decoration: none;
}
#newsCarousel p {
    color: darkgrey;
    font-weight: 300;
}
#newsCarousel .carousel-control-prev {
    left: 350px;
}
#newsCarousel .carousel-control-next {
    right: 350px;
}
#newsCarousel .carousel-control-prev,
#newsCarousel .carousel-control-next {
    width: 20px;
}